RedHat: RHSA-2022-8663:01 Important: krb5 security update | LinuxSe...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: krb5 security update
Advisory ID:       RHSA-2022:8663-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:8663
Issue date:        2022-11-29
CVE Names:         CVE-2022-42898 
=====================================================================

1. Summary:

An update for krb5 is now available for Red Hat Enterprise Linux 6 Extended
Lifecycle Support.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Server (v. 6 ELS) - i386, s390x, x86_64

3. Description:

Kerberos is a network authentication system, which can improve the security
of your network by eliminating the insecure practice of sending passwords
over the network in unencrypted form. It allows clients and servers to
authenticate to each other with the help of a trusted third party, the
Kerberos key distribution center (KDC).

Security Fix(es):

* krb5: integer overflow vulnerabilities in PAC parsing (CVE-2022-42898)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

After installing the updated packages, running Kerberos services (krb5kdc,
kadmin, and kprop) will be restarted automatically.

5. Bugs fixed (https://bugzilla.redhat.com/):

2140960 - CVE-2022-42898 krb5: integer overflow vulnerabilities in PAC parsing

6. Package List:

Red Hat Enterprise Linux Server (v. 6 ELS):

Source:
krb5-1.10.3-66.el6_10.src.rpm

i386:
krb5-debuginfo-1.10.3-66.el6_10.i686.rpm
krb5-devel-1.10.3-66.el6_10.i686.rpm
krb5-libs-1.10.3-66.el6_10.i686.rpm
krb5-pkinit-openssl-1.10.3-66.el6_10.i686.rpm
krb5-server-1.10.3-66.el6_10.i686.rpm
krb5-server-ldap-1.10.3-66.el6_10.i686.rpm
krb5-workstation-1.10.3-66.el6_10.i686.rpm
libkadm5-1.10.3-66.el6_10.i686.rpm

s390x:
krb5-debuginfo-1.10.3-66.el6_10.s390.rpm
krb5-debuginfo-1.10.3-66.el6_10.s390x.rpm
krb5-devel-1.10.3-66.el6_10.s390.rpm
krb5-devel-1.10.3-66.el6_10.s390x.rpm
krb5-libs-1.10.3-66.el6_10.s390.rpm
krb5-libs-1.10.3-66.el6_10.s390x.rpm
krb5-pkinit-openssl-1.10.3-66.el6_10.s390x.rpm
krb5-server-1.10.3-66.el6_10.s390x.rpm
krb5-server-ldap-1.10.3-66.el6_10.s390.rpm
krb5-server-ldap-1.10.3-66.el6_10.s390x.rpm
krb5-workstation-1.10.3-66.el6_10.s390x.rpm
libkadm5-1.10.3-66.el6_10.s390.rpm
libkadm5-1.10.3-66.el6_10.s390x.rpm

x86_64:
krb5-debuginfo-1.10.3-66.el6_10.i686.rpm
krb5-debuginfo-1.10.3-66.el6_10.x86_64.rpm
krb5-devel-1.10.3-66.el6_10.i686.rpm
krb5-devel-1.10.3-66.el6_10.x86_64.rpm
krb5-libs-1.10.3-66.el6_10.i686.rpm
krb5-libs-1.10.3-66.el6_10.x86_64.rpm
krb5-pkinit-openssl-1.10.3-66.el6_10.x86_64.rpm
krb5-server-1.10.3-66.el6_10.x86_64.rpm
krb5-server-ldap-1.10.3-66.el6_10.i686.rpm
krb5-server-ldap-1.10.3-66.el6_10.x86_64.rpm
krb5-workstation-1.10.3-66.el6_10.x86_64.rpm
libkadm5-1.10.3-66.el6_10.i686.rpm
libkadm5-1.10.3-66.el6_10.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-42898
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY4YBRNzjgjWX9erEAQj6Bg/+JhClakm1CRqm1tyci2lhVB/kIiUEaYfk
bhT/VbAdpXQ5p/NCQsq+NvOMH2hLz+zQCTjFXsyPlClLn3wixb7D3WqwCFUwtfFa
YjBdxeXm7XLAVSyU3xAawvc6iiO62p7z01Cnuoex0f2BkK82AXB92pmNtrP+o3Qd
bgZfxCp6P/hxNti61pTsj9g1Jm5SAwOj0R7AlqOj5aKhw+/f1YeCjsFVXh8CuGAO
5LgTWySa42wTTIwZUwtg1QMabO4+jyIla+8RUbD8Q5R9X9nTv86H+ihERppKtu+3
40yc43uqgGLXCD7B7a437By3r8nPigUKlz7C4OnRIqkxRAU8JFj8wQnFLLXDpJPj
LSuEol/sHfZNHtYLW6c+DajavnfL8DiMhRTn5tL1Aa2zqeqQmGvyizqybYuuwnaY
ge42ylK3mmd4wAXRy8Bnt5yH3HtRdgSQz/ZSCZK7al3GlMhiWqj2EUAPLlvco5FK
/XAT05ffDN+Vlm4+mullL1UGB0h5m845ywJvNZM1UvfOKztI2ajxIG34v/nbap0R
9jPhAjlM2mBfZ07D/2+VezgMcF7ym/uh57SN87j6WRgFPgvPcoGMpH/Ec7qVuX7p
dDVnlNUepx7iNT9sKbj8aOUF/EXzJuzW68irDdliEeGdqFE2Om3Dxv0lX4aGvFXh
qJRIMc4EYAs=
=Cdkx
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-8663:01 Important: krb5 security update

An update for krb5 is now available for Red Hat Enterprise Linux 6 Extended Lifecycle Support

Summary

Kerberos is a network authentication system, which can improve the security of your network by eliminating the insecure practice of sending passwords over the network in unencrypted form. It allows clients and servers to authenticate to each other with the help of a trusted third party, the Kerberos key distribution center (KDC).
Security Fix(es):
* krb5: integer overflow vulnerabilities in PAC parsing (CVE-2022-42898)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258After installing the updated packages, running Kerberos services (krb5kdc,kadmin, and kprop) will be restarted automatically.

References

https://access.redhat.com/security/cve/CVE-2022-42898 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux Server (v. 6 ELS):
Source: krb5-1.10.3-66.el6_10.src.rpm
i386: krb5-debuginfo-1.10.3-66.el6_10.i686.rpm krb5-devel-1.10.3-66.el6_10.i686.rpm krb5-libs-1.10.3-66.el6_10.i686.rpm krb5-pkinit-openssl-1.10.3-66.el6_10.i686.rpm krb5-server-1.10.3-66.el6_10.i686.rpm krb5-server-ldap-1.10.3-66.el6_10.i686.rpm krb5-workstation-1.10.3-66.el6_10.i686.rpm libkadm5-1.10.3-66.el6_10.i686.rpm
s390x: krb5-debuginfo-1.10.3-66.el6_10.s390.rpm krb5-debuginfo-1.10.3-66.el6_10.s390x.rpm krb5-devel-1.10.3-66.el6_10.s390.rpm krb5-devel-1.10.3-66.el6_10.s390x.rpm krb5-libs-1.10.3-66.el6_10.s390.rpm krb5-libs-1.10.3-66.el6_10.s390x.rpm krb5-pkinit-openssl-1.10.3-66.el6_10.s390x.rpm krb5-server-1.10.3-66.el6_10.s390x.rpm krb5-server-ldap-1.10.3-66.el6_10.s390.rpm krb5-server-ldap-1.10.3-66.el6_10.s390x.rpm krb5-workstation-1.10.3-66.el6_10.s390x.rpm libkadm5-1.10.3-66.el6_10.s390.rpm libkadm5-1.10.3-66.el6_10.s390x.rpm
x86_64: krb5-debuginfo-1.10.3-66.el6_10.i686.rpm krb5-debuginfo-1.10.3-66.el6_10.x86_64.rpm krb5-devel-1.10.3-66.el6_10.i686.rpm krb5-devel-1.10.3-66.el6_10.x86_64.rpm krb5-libs-1.10.3-66.el6_10.i686.rpm krb5-libs-1.10.3-66.el6_10.x86_64.rpm krb5-pkinit-openssl-1.10.3-66.el6_10.x86_64.rpm krb5-server-1.10.3-66.el6_10.x86_64.rpm krb5-server-ldap-1.10.3-66.el6_10.i686.rpm krb5-server-ldap-1.10.3-66.el6_10.x86_64.rpm krb5-workstation-1.10.3-66.el6_10.x86_64.rpm libkadm5-1.10.3-66.el6_10.i686.rpm libkadm5-1.10.3-66.el6_10.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:8663-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2022:8663
Issued Date: : 2022-11-29
CVE Names: CVE-2022-42898

Topic

An update for krb5 is now available for Red Hat Enterprise Linux 6 ExtendedLifecycle Support.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux Server (v. 6 ELS) - i386, s390x, x86_64

Bugs Fixed

2140960 - CVE-2022-42898 krb5: integer overflow vulnerabilities in PAC parsing

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.